petsc-3.6.2 2015-10-02
Report Typos and Errors

# TaoIsObjectiveDefined

Checks to see if the user has declared an objective-only routine. Useful for determining when it is appropriate to call TaoComputeObjective() or TaoComputeObjectiveAndGradient()

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoIsObjectiveDefined(Tao tao, PetscBool *flg)

Collective on Tao

### Input Parameter

| tao | - the Tao context
| ctx | - PETSC_TRUE if objective function routine is set by user, PETSC_FALSE otherwise

### See Also

TaoSetObjectiveRoutine(), TaoIsGradientDefined(), TaoIsObjectiveAndGradientDefined()

Level:developer
Location:src/tao/interface/taosolver_fg.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages